socket_sctp4(3)

NAME
socket_sctp4 - create a non-blocking SCTP/IP stream socket

SYNTAX
#include <libowfat/socket.h> int socket_sctp4();

DESCRIPTION
socket_sctp4 creates a non-blocking SCTP/IP stream socket and returns a file descriptor pointing to that socket. If something goes wrong, socket_sctp4 returns -1, setting errno appropriately, without allocating any resources.

EXAMPLE
  #include <libowfat/socket.h>
  int s;
  char ip[4];
  uint16 p;
  s = socket_sctp4();
  socket_bind4(s,ip,p);
  socket_connect4(s,ip,p);

SEE ALSO
socket_sctp4b(3), socket_bind4(3), socket_bind6(3)